/v1/api/secrets (GET) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Returns information about all secrets. The API response does not return the secret's data field.

GET https://api-<BlueCat.edge.url>/v1/api/secrets?fields=<query_parameters>&fields=<query_parameters>
Authorization: Bearer authorization token

You can specify the following query parameters to limit the number of fields returned by the response:

Query parameters

Name Description
id The ID of secret
secretsProfileId The ID of secrets profile that the secret was contained in
name The name of the secrets
dateCreated The date that the secrets profile was created, in milliseconds since the Unix Epoch
dateNameLastModified The date that the name of the secret was last modified, in milliseconds since the Unix Epoch
dateDataLastModified The date that the data of the secret was last modified, in milliseconds since the Unix Epoch
dateLastDecrypted The date that the secret was last used, in milliseconds since the Unix Epoch
certificateMetadata The metadata of the certificate
Note: You can specify multiple query parameters by repeating the fields=<parameter> query parameter.

Successful response

200 OK
Content-Type: application/JSON
[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",,
    "type": "TEXT",
    "secretsProfileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "dateCreated": 946684800000,
    "dateNameLastModified": 946684800000,
    "dateDataLastModified": 946684800000,
    "dateLastDecrypted": 946684800000
  },
  {
    "id": "4d25c8d6-fe6f-4e6b-8f92-e1e8e370e2e0",
    "type": "CERTIFICATE",
    "secretsProfileId": "9fe9939c-a254-442b-a62d-5cb4300d38ff",
    "name": "DNS encryption certificate",
    "dateCreated": 946684800000,
    "dateNameLastModified": 946684800000,
    "dateDataLastModified": 946684800000,
    "dateLastDecrypted": 946684800000,
    "certificateMetadata": {
      "commonName": "common.name",
      "issuer": "issuer.name",
      "expiresAt": 946685900000
    }
  }
  ...
]
Possible error codes:
  • BAD REQUEST - Invalid request
  • INTERNAL SERVER ERROR - Unexpected error